{"swagger":"2.0","info":{"version":"1.0.0","title":"30shine-rebuild"},"host":"30shine-api.christianwen.com","schemes":["https"],"paths":{"/lookbook":{"get":{"produces":["application/json"],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"}}}},"options":{"consumes":["application/json"],"produces":["application/json"],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}}}},"/products":{"get":{"produces":["application/json"],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"}}}},"options":{"consumes":["application/json"],"produces":["application/json"],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}}}},"/user":{"get":{"produces":["application/json"],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"}}},"security":[{"30shineLambdaAuthorizer":[]}]}},"/user/avatar":{"post":{"produces":["application/json"],"parameters":[{"name":"access_token","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"}}}}},"/user/history":{"post":{"produces":["application/json"],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"}}}},"options":{"consumes":["application/json"],"produces":["application/json"],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}}}},"/user/unconfirmed":{"get":{"produces":["application/json"],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}},"options":{"consumes":["application/json"],"produces":["application/json"],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}}}}},"securityDefinitions":{"30shineLambdaAuthorizer":{"type":"apiKey","name":"Unused","in":"header","x-amazon-apigateway-authtype":"custom"}},"definitions":{"Empty":{"type":"object","title":"Empty Schema"}}}